OSMetrics (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: OSMetrics

Package org.apache.geode.management

# Class OSMetrics

java.lang.Object
org.apache.geode.management.OSMetrics

All Implemented Interfaces:
  `Serializable`

public class OSMetrics extends Object implements Serializable
Composite data type used to distribute metrics for the operating system hosting a member of the distributed system.

Since:
  GemFire 7.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OSMetrics(long maxFileDescriptorCount, long openFileDescriptorCount, long processCpuTime, long committedVirtualMemorySize, long totalPhysicalMemorySize, long freePhysicalMemorySize, long totalSwapSpaceSize, long freeSwapSpaceSize, String name, String version, String arch, int availableProcessors, double systemLoadAverage)`
  This constructor is to be used by internal JMX framework only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArch()`
  Returns the hardware architecture.
  `int`
  `getAvailableProcessors()`
  Returns the number of available processors.
  `long`
  `getCommittedVirtualMemorySize()`
  Returns the current number of megabytes of memory allocated.
  `long`
  `getFreePhysicalMemorySize()`
  Returns the number of megabytes of free memory available to the operating system.
  `long`
  `getFreeSwapSpaceSize()`
  Returns the number of megabytes of free swap space.
  `long`
  `getMaxFileDescriptorCount()`
  Returns the maximum number of open file descriptors allowed by the operating system.
  `String`
  `getName()`
  Returns the name of the operating system.
  `long`
  `getOpenFileDescriptorCount()`
  Returns the current number of open file descriptors.
  `long`
  `getProcessCpuTime()`
  Returns the amount of time (in nanoseconds) used by the member's process.
  `double`
  `getSystemLoadAverage()`
  Returns the system load average.
  `long`
  `getTotalPhysicalMemorySize()`
  Returns the number of megabytes of memory available to the operating system.
  `long`
  `getTotalSwapSpaceSize()`
  Returns the number of megabytes of swap space allocated.
  `String`
  `getVersion()`
  Returns the version of the operating system.
  `String`
  `toString()`
  String representation of OSMetrics

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OSMetrics

    @ConstructorProperties({"maxFileDescriptorCount","openFileDescriptorCount","processCpuTime","committedVirtualMemorySize","totalPhysicalMemorySize","freePhysicalMemorySize","totalSwapSpaceSize","freeSwapSpaceSize","name","version","arch","availableProcessors","systemLoadAverage"}) public OSMetrics(long maxFileDescriptorCount, long openFileDescriptorCount, long processCpuTime, long committedVirtualMemorySize, long totalPhysicalMemorySize, long freePhysicalMemorySize, long totalSwapSpaceSize, long freeSwapSpaceSize, String name, String version, String arch, int availableProcessors, double systemLoadAverage)
    This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
    Parameters:
      `maxFileDescriptorCount` - the maximum number of open file descriptors allowed by the operating system
      `openFileDescriptorCount` - the current number of open file descriptors
      `processCpuTime` - the amount of time (in nanoseconds) used by the member's process
      `committedVirtualMemorySize` - the current number of megabytes of memory allocated
      `totalPhysicalMemorySize` - the number of megabytes of free memory available to the operating system
      `freePhysicalMemorySize` - the number of megabytes of free memory available to the operating system
      `totalSwapSpaceSize` - the number of megabytes of swap space allocated
      `freeSwapSpaceSize` - the number of megabytes of free swap space
      `name` - the name of the operating system
      `version` - the version of the operating system
      `arch` - the hardware architecture
      `availableProcessors` - the number of available processors
      `systemLoadAverage` - the system load average

- ## Method Details

  - ### getMaxFileDescriptorCount

    public long getMaxFileDescriptorCount()
    Returns the maximum number of open file descriptors allowed by the operating system.
    Returns:
      the maximum number of open file descriptors allowed by the operating system

  - ### getOpenFileDescriptorCount

    public long getOpenFileDescriptorCount()
    Returns the current number of open file descriptors.
    Returns:
      the current number of open file descriptors

  - ### getProcessCpuTime

    public long getProcessCpuTime()
    Returns the amount of time (in nanoseconds) used by the member's process.
    Returns:
      the amount of time (in nanoseconds) used by the member's process

  - ### getCommittedVirtualMemorySize

    public long getCommittedVirtualMemorySize()
    Returns the current number of megabytes of memory allocated.
    Returns:
      the current number of megabytes of memory allocated

  - ### getTotalPhysicalMemorySize

    public long getTotalPhysicalMemorySize()
    Returns the number of megabytes of memory available to the operating system.
    Returns:
      the number of megabytes of free memory available to the operating system

  - ### getFreePhysicalMemorySize

    public long getFreePhysicalMemorySize()
    Returns the number of megabytes of free memory available to the operating system.
    Returns:
      the number of megabytes of free memory available to the operating system

  - ### getTotalSwapSpaceSize

    public long getTotalSwapSpaceSize()
    Returns the number of megabytes of swap space allocated.
    Returns:
      the number of megabytes of swap space allocated

  - ### getFreeSwapSpaceSize

    public long getFreeSwapSpaceSize()
    Returns the number of megabytes of free swap space.
    Returns:
      the number of megabytes of free swap space

  - ### getName

    public String getName()
    Returns the name of the operating system.
    Returns:
      the name of the operating system

  - ### getVersion

    public String getVersion()
    Returns the version of the operating system.
    Returns:
      the version of the operating system

  - ### getArch

    public String getArch()
    Returns the hardware architecture.
    Returns:
      the hardware architecture

  - ### getAvailableProcessors

    public int getAvailableProcessors()
    Returns the number of available processors.
    Returns:
      the number of available processors

  - ### getSystemLoadAverage

    public double getSystemLoadAverage()
    Returns the system load average.
    Returns:
      the system load average

  - ### toString

    public String toString()
    String representation of OSMetrics
    Overrides:
      `toString` in class `Object`